> ## Documentation Index
> Fetch the complete documentation index at: https://smallestai-ff1e543d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Pronunciations Dict

> Update pronunciations dicts using the Waves API



## OpenAPI

````yaml PUT /waves/v1/pronunciation-dicts
openapi: 3.0.1
info:
  title: Pronunciation Dictionaries API
  description: |
    API for managing pronunciation dictionaries in Waves.
    Create, update, and delete custom pronunciation rules for text-to-speech.
  version: 1.0.0
servers:
  - url: https://api.smallest.ai
    description: Waves API server
security: []
paths:
  /waves/v1/pronunciation-dicts:
    put:
      tags:
        - Pronunciation Dictionaries
      summary: Update pronunciation dictionary
      description: Update an existing pronunciation dictionary for the authenticated user
      operationId: updatePronunciationDict
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePronunciationDictRequest'
            example:
              id: 64f1234567890abcdef12345
              items:
                - word: mysql
                  pronunciation: my-sequel
      responses:
        '200':
          description: Successfully updated pronunciation dictionary
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdatePronunciationDictResponse'
              example:
                id: 64f1234567890abcdef12345
                items:
                  - word: mysql
                    pronunciation: my-sequel
                  - word: goodbye
                    pronunciation: goodbai
        '400':
          description: Bad request - Invalid request body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error: Invalid request body
                details:
                  - code: invalid_type
                    expected: string
                    received: undefined
                    path:
                      - id
                    message: Required
        '401':
          description: Unauthorized - Invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error: Unauthorized
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error: Internal server error
      security:
        - bearerAuth: []
components:
  schemas:
    UpdatePronunciationDictRequest:
      type: object
      required:
        - id
        - items
      properties:
        id:
          type: string
          minLength: 1
          description: ID of the pronunciation dictionary to update
          example: 64f1234567890abcdef12345
        items:
          type: array
          items:
            $ref: '#/components/schemas/PronunciationItem'
          description: Updated list of word-pronunciation pairs
    UpdatePronunciationDictResponse:
      type: object
      required:
        - id
        - items
      properties:
        id:
          type: string
          description: ID of the updated pronunciation dictionary
          example: 64f1234567890abcdef12345
        items:
          type: array
          items:
            $ref: '#/components/schemas/PronunciationItem'
          description: Updated list of word-pronunciation pairs
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
          example: Invalid request body
        details:
          type: array
          items:
            type: object
          description: Additional error details (validation errors)
    PronunciationItem:
      type: object
      required:
        - word
        - pronunciation
      properties:
        word:
          type: string
          minLength: 1
          description: The word to be pronounced
          example: mysql
        pronunciation:
          type: string
          minLength: 1
          description: The phonetic pronunciation of the word
          example: my-sequel
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <api_key>`, where
        <api_key> is your api key.

````